### Method

# Fwupd SecurityAttr set_flags

since: 1.5.0

#### Declaration [src]

    void
    fwupd_security_attr_set_flags (
      FwupdSecurityAttr* self,
      FwupdSecurityAttrFlags flags
    )

#### Description [src]

Sets the attribute flags.

Available since: 1.5.0

#### Parameters

`flags`

  Type: `FwupdSecurityAttrFlags`

  Security attribute flags, e.g. `FWUPD_SECURITY_ATTR_FLAG_OBSOLETED`.